<?php
add_action('admin_menu', 'we_add_checkin_page');
function we_add_checkin_page(){
	add_submenu_page(
		'edit.php?post_type=product',
		esc_html__( 'Check-In', 'exthemes' ),
		esc_html__( 'Check-In', 'exthemes' ),
		'manage_options',
		'we-checkin',
		'we_checkin_html'

	);
}
function we_checkin_html(){
	wp_enqueue_style("we-checkin-admin", WOO_EVENT_CHECKIN . 'css/style.css');
	wp_enqueue_script( 'we-checkin-admin', WOO_EVENT_CHECKIN . 'js/admin.js', array( 'jquery' ), '1.0'  );
    ?>
	<div class="we-checkin-wrap">
		<div class="we-checkin">
			<div class="we-loading">
	            <div class="wpex-spinner">
	                <div class="rect1"></div>
	                <div class="rect2"></div>
	                <div class="rect3"></div>
	                <div class="rect4"></div>
	                <div class="rect5"></div>
	            </div>
	        </div>
			<h1><?php echo esc_html__('Check In ','exthemes');?></h1>
			<div class="tk-search">
	            <p><?php echo esc_html__('Enter ticket number: ','exthemes');?></p>
	            <input type="text" class="we-ticket-number">
	            <input type="hidden"  name="ajax_url" value="<?php echo esc_url(admin_url( 'admin-ajax.php' )); ?>">
	            <button type="submit" id="searchsubmit"><span class="dashicons dashicons-search"></span></button>
	        </div>
	    </div>
	</div>
    <?php
}

add_action( 'wp_ajax_we_checkin_ticket', 'ajax_we_checkin_ticket' );
add_action( 'wp_ajax_nopriv_we_checkin_ticket', 'ajax_we_checkin_ticket' );
if(!function_exists('ajax_we_checkin_ticket')){
	function ajax_we_checkin_ticket(){
		$ticket_id = $_POST['ticket_id'];
		$ticket_arr = explode("-",$ticket_id);
		echo '<div class="we-ticket-details">';
		if(count($ticket_arr) < 4){
			echo '<div class="we-ck-error">'.esc_html__( 'Invalid ticket', 'exthemes' ).'</div>';
		}else{
			$tk_sr = $ticket_arr[0].'-'.$ticket_arr[1].'-'.$ticket_arr[2];
			$tickets_info = get_post_meta( $ticket_arr[0], 'ticket_info-'.$tk_sr, false );
			if(empty($tickets_info) || get_post_type($ticket_arr[0]) != 'shop_order'){
				echo '<div class="we-ck-error">'.esc_html__( 'Ticket not found', 'exthemes' ).'</div>';
			}else{
				ob_start();?>
				<div class="we-ck-details">
					<?php 
					$date = get_post_meta( $ticket_arr[1], 'we_startdate', true );
					$parent_id = $ticket_arr[1];
					if(get_post_type($ticket_arr[1]) == 'product_variation') {
						$variation = wc_get_product($ticket_arr[1]);
						$parent_id = $variation->get_parent_id();
						if($date==''){
							$date = get_post_meta( $parent_id, 'we_startdate', true );
						}
					}
					$loc = get_post_meta( $parent_id, 'we_adress', true );
					?>
					<div class="we-ck-ev">
						<h3><?php esc_html_e( 'Event Info', 'exthemes' ) ?></h3>
						<table>
							<thead>
								<tr>
									<th><?php esc_html_e( 'Name', 'exthemes' ); ?></th>
									<th><?php esc_html_e( 'Date', 'exthemes' ); ?></th>
									<th><?php esc_html_e( 'Location', 'exthemes' ); ?></th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td><?php echo get_the_title($ticket_arr[1]); ?></td>
									<td><?php echo date_i18n( get_option('date_format'), $we_startdate).' - '.date_i18n(get_option('time_format'), $we_startdate); ?></td>
									<td><?php echo $loc; ?></td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="we-ck-ev">
						<h3><?php esc_html_e( 'Attendee Info', 'exthemes' ) ?></h3>
						<table>
				            <thead>
				              <tr>
				                <th><?php esc_html_e('Name','exthemes');?></th>
				                <th><?php esc_html_e('Email','exthemes');?></th>
				                <th><?php esc_html_e('Ticket number','exthemes');?></th>
				              </tr>
				            </thead>
				            <tbody>
							<?php
							$found_ticket = 0;
				            foreach ($tickets_info as $ticket => $info) {
								$info = explode("|",$info);
								$f_name = isset($info[1]) && $info[1]!='' ? $info[1] : '';
								$l_name = isset($info[2]) && $info[2]!='' ? $info[2] : '';
								if($info[3] == $ticket_arr[3]){
									$i ++;
									$found_ticket = 1;?>
									<tr>
										<td><?php echo  $f_name!='' && $l_name!='' ? '<span><b>'.$t_name.'</b>'.$f_name.' '.$l_name.'</span>' : '';?></td>
										<td><?php echo isset($info[0]) && $info[0]!='' ? $info[0] : '';?></td>
										<td><?php echo $tk_sr.'-'.$info[3];?></td>
									</tr>
					            	<?php
					            	break;
					            }
				            }
				            ?>
							</tbody>
        				</table>
					</div>
					
					<div class="we-ck-oder">
						<h3><?php esc_html_e( 'Order details', 'exthemes' ) ?></h3>
						<table>
				            <thead>
				              <tr>
				                <th><?php esc_html_e('ID','exthemes');?></th>
				                <th><?php esc_html_e('Status','exthemes');?></th>
				                <th><?php esc_html_e('Date','exthemes');?></th>
				              </tr>
				            </thead>
				            <tbody>
								<?php
								$order = wc_get_order( $ticket_arr[0] );?>
								<tr>
									<td><a href="<?php echo esc_url($order->get_edit_order_url());?>"><?php echo  $order->get_id();?></a></td>
									<td><span class="<?php echo esc_attr($order->get_status())?>"><?php echo $order->get_status();?></span></td>
									<td><?php echo $order->get_date_created();?></td>
								</tr>   	
							</tbody>
        				</table>
					</div>

				</div>
				<div class="we-ck-action">
					<?php if(1==2){ ?>
						<button class="we-bt-ck" data-ticket="<?php echo esc_attr($ticket_id);?>"><?php esc_html_e('Already  Checked In','exthemes');?></button>
						<?php
					}else{?>
						<?php if($order->get_status() != 'completed'){?>
							<script>
							jQuery(document).ready(function($) {	
								$(".we-ck-action .we-bt-ck").click(function(){
								    if(confirm("<?php esc_html_e('Please set order status is Completed to Check-In ticket','exthemes');?>")){
								        return false;
								    }
								    else{
								        return false;
								    }
								});
							});
							</script>
							<a href="<?php echo esc_url($order->get_edit_order_url());?>" class="we-bt-sod"><?php esc_html_e('Set order is Completed','exthemes');?></a>
						<?php }
						$att_checked = get_post_meta( $ticket_arr[1], 'we_cklist_attendees', true );
						if(isset($att_checked[$ticket_id]['checked']) && $att_checked[$ticket_id]['checked'] == 'yes'){?>
							<button class="we-bt-cked" disabled="disabled"><?php esc_html_e('Already Checked In','exthemes');?></button>
						<?php
						}else{?>
							<button class="we-bt-ck" data-ticket="<?php echo esc_attr($ticket_id);?>"><?php esc_html_e('Check In','exthemes');?></button>
						<?php 
						}
					}?>
				</div>
				<?php
				$output_string = ob_get_contents();
				ob_end_clean();
				if($found_ticket==1){
					echo $output_string;
				}else{
					echo '<div class="we-ck-error">'.esc_html__( 'Ticket not found', 'exthemes' ).'</div>';
				}
			}
		}
		echo '</div>';
		exit;
	}
}

add_action( 'wp_ajax_we_checkedin_ticket', 'ajax_we_checkedin_ticket' );
add_action( 'wp_ajax_nopriv_we_checkedin_ticket', 'ajax_we_checkedin_ticket' );
if(!function_exists('ajax_we_checkedin_ticket')){
	function ajax_we_checkedin_ticket(){
		$ticket_id = $_POST['ticket_id'];
		$ticket_arr = explode("-",$ticket_id);
		$att_checked = get_post_meta( $ticket_arr[1], 'we_cklist_attendees', true );
		if($att_checked=='' || !is_array($att_checked)){
			$att_checked = array();
		}
		if(empty($att_checked) || !isset($att_checked[$ticket_id]['checked']) || (isset($att_checked[$ticket_id]['checked']) && $att_checked[$ticket_id]['checked'] != 'yes') ){

			$tk_sr = $ticket_arr[0].'-'.$ticket_arr[1].'-'.$ticket_arr[2];
			$tickets_info = get_post_meta( $ticket_arr[0], 'ticket_info-'.$tk_sr, false );
			if(empty($tickets_info) || get_post_type($ticket_arr[0]) != 'shop_order'){
				$html = '<div class="we-ck-rs we-ck-error">'.esc_html__( 'Something went wrong, please try again', 'exthemes' ).'</div>';
			}else{
				$found_ticket = 0;
	            foreach ($tickets_info as $ticket => $info) {
					$info = explode("|",$info);
					$f_name = isset($info[1]) && $info[1]!='' ? $info[1] : '';
					$l_name = isset($info[2]) && $info[2]!='' ? $info[2] : '';
					$email = isset($info[0]) && $info[0]!='' ? $info[0] : '';
					if($info[3] == $ticket_arr[3]){
						$found_ticket = 1;
						$att_checked[$ticket_id]['f_name'] = $f_name;
						$att_checked[$ticket_id]['l_name'] = $l_name;
						$att_checked[$ticket_id]['email'] = $email;
						$att_checked[$ticket_id]['checked'] = 'yes';
						update_post_meta( $ticket_arr[1], 'we_cklist_attendees', $att_checked );
						echo '<div class="we-ck-rs we-ck-success">
							<span class="dashicons dashicons-yes"></span>
							'.esc_html__( 'Successfully Checked In', 'exthemes' ).'

						</div>';
						break;
					}
				}
				
			}
		}else{
			echo '<div class="we-ck-rs we-ck-error">'.esc_html__( 'Something went wrong, please try again', 'exthemes' ).'</div>';
		}
		exit;
	}
}
add_action('woocommerce_email_before_order_table', 'weck_email_as_a_global', 1, 4);
function weck_email_as_a_global($order, $sent_to_admin, $plain_text, $email){
    global $weck_if_email;
    $weck_if_email = 1;
}

add_action( 'woocommerce_order_item_meta_end', 'we_print_ticket_button_inorder', 18, 3 );
function we_print_ticket_button_inorder($it_id, $id, $od){
	global $weck_if_email;
	if($weck_if_email == 1){ return;}
	global $item_id, $item, $order;
	$item_id = $it_id; $item = $id; $order = $od;
	if (locate_template('woo-events-checkin/print-ticket.php') != '') {
		get_template_part('woo-events-checkin/print-ticket');
	} else {
		include weci_get_plugin_url().'templates/print-ticket.php';
	}
}


add_action( 'we_save_data_ticket_info', 'we_control_data_ticket', 10, 3 );
function we_control_data_ticket($order_id,$item, $ticket_if){
	$key = rand(1,10000);
	$ticket_if = $ticket_if.'|'.$key;
	add_post_meta( $order_id, 'ticket_info-'.$order_id.'-'.str_replace('_','-',$item), $ticket_if );
}
